Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

Cisco AnyConnect Secure Mobility Client Supported Operating Systems and Requirements

Objective

The Cisco AnyConnect Secure Mobility Client, also known as the Cisco AnyConnect VPN Client, is a software application for connecting to a Virtual Private Network (VPN) that works on various operating systems and hardware configurations. This software application makes it possible for remote resources of another network become accessible as if the user is directly connected to the network, but in a secure way. Cisco AnyConnect Secure Mobility Client provides an innovative way to protect mobile users on computer-based or smart-phone platforms, providing a more seamless, always-protected experience for end users, and comprehensive policy enforcement for an IT administrator.

The objective of this document is to show you the details about the supported operating systems of the Cisco AnyConnect Secure Mobility Client and their requirements.

Software Version

  • AnyConnect Secure Mobility Client 4.4

AnyConnect Supported Operating Systems and Requirements

AnyConnect Support for Microsoft Windows

Windows Operating Systems

  • Windows 7 Special Pack (SP) 1
  • Windows 8
  • Windows 8.1
  • Windows 10 x86 (32-bit) and x64 (64-bit)

Windows Requirements

  • Pentium class processor or greater
  • 100 MB hard disk space
  • Microsoft Installer version 3.1
  • Upgrading to Windows 8.1 from any previous Windows release requires you to uninstall AnyConnect, and reinstall it after your Windows upgrade is complete.
  • Upgrading from Windows XP to any later Windows release requires a clean install since the Cisco AnyConnect Virtual Adapter is not preserved during the upgrade. Manually uninstall AnyConnect, upgrade Windows, and then reinstall AnyConnect manually or via WebLaunch.
  • To start AnyConnect with WebLaunch, you must use the 32-bit version of Firefox 3.0+ and enable ActiveX or install Sun JRE 1.4+.
  • ASDM version 7.02 or higher is required when using Windows 8 or 8.1

AnyConnect Support for Linux

Linux Operating Systems

  • Linux Red Hat 6
  • Linux Red Hat 7
  • Ubuntu 12.04 Long Term Support (LTS)
  • Ubuntu 14.04 (LTS)
  • Ubuntu 16.04 (LTS) (64-bit only)
Linux Requirements
  • x86 instruction set
  • 64-bit processor
  • 32 MB Random Access Memory (RAM)
  • 20 MB hard disk space
  • Superuser privileges are required for installation
  • libstdc++ users must have libstdc++.so.6 (GLIBCXX_3.4) or higher, but below version 4
  • Java 5 (1.5) or later. The only version that works for web installation is Sun Java. You must install Sun Java and configure your browser to use that instead of the default package.
  • zlib — to support SSL deflate compression
  • xterm — only required if you're doing initial deployment of AnyConnect via Weblaunch from ASA clientless portal
  • gtk 2.0.0
  • gdk 2.0.0
  • libpango 1.0
  • iptables 1.2.7a or later
  • tun module supplied with kernel 2.4.21 or 2.6

AnyConnect Support for Mac OS X

Mac OS X Operating Systems

  • Mac OS X 10.10
  • Mac OS X 10.11
  • Mac OS X 10.12
Mac OS X Requirements
  • AnyConnect requires 50 MB of hard disk space.
  • To operate correctly with Mac OS X, AnyConnect requires a minimum display resolution of 1024 by 640 pixels.

 

Version history
Revision #:
1 of 1
Last update:
‎03-14-2017 06:09 PM
 
Comments
New Member

Hello,

Can i install Cisco Anyconnect secure mobility version 4.2 on a windows server 2012? as i have installed it, but it when i try to connect it gives me session ended.

BR

MTM